.global fibb
.type fibb, %function

.text
fibb:
push {r4, lr}

cmp r0, #0
moveq r0, #0
popeq {r4, pc}

cmp r0, #1
moveq r0, #1
popeq {r4, pc}

sub r0, r0, #1
push {r0}
bl fibb
mov r4, r0
pop {r0}

sub r0, r0, #1
bl fibb
add r0, r0, r4

pop {r4, pc}
